package be.spacebel.ssa.swe.data;

import be.spacebel.ssa.swe.util.SWEUtil;

public class PropertyNode extends SelectableNode {

	public PropertyNode(String property, OfferingMetadata desc, boolean b) {
		super("property", property);
		for( FieldMetadata  field: desc.getFields().values()) {
			if(field.getObservableProperty()!=null && field.getObservableProperty().equals(property)) {
				addChild(field.getIdentifier(), new FieldNode(field));
			}
			if(field.getObservableProperty()==null && property.equals(SWEUtil.UNQUALIFIED_FIELD) ) {
				addChild(field.getIdentifier(), new FieldNode(field));
			}
		}
		this.setSelected(b);
		
	
	}

	
}
