package be.spacebel.ssa.swe.data;

import swe.ssa.esa.swep.datamodel.common.MetadataType.DataProvider;

public class ProviderMetadata {

	private String id;
	private String license;
	private String firstName;
	private String lastName;
	private String company;
	private String email;
	private String phone;
	private String name;

	public ProviderMetadata(DataProvider provider) {
		id = provider.getId();
		name  = provider.getName();
		license = provider.getLicense();
		firstName = provider.getContactPerso().getFirstName();
		lastName = provider.getContactPerso().getLastName();
		company = provider.getContactPerso().getCompany();
		email = provider.getContactPerso().getEmail();
		phone = provider.getContactPerso().getPhone();
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getLicense() {
		return license;
	}

	public void setLicense(String license) {
		this.license = license;
	}

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	public String getCompany() {
		return company;
	}

	public void setCompany(String company) {
		this.company = company;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

}
