/**
 * 
 */
package be.spacebel.ssa.swe.beans;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.swing.tree.TreeNode;

import org.richfaces.component.UITree;
import org.richfaces.event.TreeSelectionChangeEvent;
import org.richfaces.event.TreeToggleEvent;

import be.spacebel.ssa.swe.data.FieldNode;
import be.spacebel.ssa.swe.data.OfferingMetadata;
import be.spacebel.ssa.swe.data.OfferingNode;
import be.spacebel.ssa.swe.data.PropertyNode;
import be.spacebel.ssa.swe.data.SelectableNode;

/**
 * @author cnl
 * 
 */
public class RefineTreeBean {

	private List<SelectableNode> rootNodes=new ArrayList<SelectableNode>();
	private TreeNode currentSelection = null;
	private be.spacebel.ssa.swe.beans.MetadataBean metadataBean;
	private boolean renderable;
	
	public RefineTreeBean() {
		
	}
	
	 public void toggleNodeListener(TreeToggleEvent ev){
	        UITree tree = (UITree)ev.getSource();
	        SelectableNode nodeExp = ((SelectableNode)tree.getRowData());
	        nodeExp.setExpanded(!nodeExp.isExpanded());
	        System.out.println("The node "+nodeExp.getName()+" has toggled!");
	    }
	 
	public void refineAction() {
		System.out.println("checkbox clickeed");
	}
	public void add(String clickedOffering, ArrayList<String> selectedProps) {
		this.renderable = true;
		
			OfferingMetadata desc = metadataBean.getOfferingDescriptions().get(clickedOffering);
			this.rootNodes.add(new OfferingNode(desc,selectedProps));
	}

	public void remove(String clickedOffering) {
		for(SelectableNode  node : this.rootNodes){
			if(node.getName().equals(clickedOffering)) {
				this.rootNodes.remove(node);
			}
		}
		
		return;
	}
	
	
public void addAll(ArrayList<String> offerings, ArrayList<String> selectedProps) {
		this.rootNodes = new ArrayList<SelectableNode>();
		 
		for(String off : offerings) {
			OfferingMetadata desc = metadataBean.getOfferingDescriptions().get(off);
			this.rootNodes.add(new OfferingNode(desc,selectedProps));
		}
		this.renderable = true;
			
			//this.rootNodes.add(new OfferingNode(desc));
	}
	public void removeAll() {
		
		this.renderable = false;
		this.rootNodes = new ArrayList<SelectableNode>();
		return;
	}
	
	public void selectionChanged(TreeSelectionChangeEvent selectionChangeEvent) {
        // considering only single selection
		System.out.println("selection change");
		/**
        List<Object> selection = new ArrayList<Object>(selectionChangeEvent.getNewSelection());
        Object currentSelectionKey = selection.get(0);
        UITree tree = (UITree) selectionChangeEvent.getSource();
 
        Object storedKey = tree.getRowKey();
        tree.setRowKey(currentSelectionKey);
        currentSelection = (TreeNode) tree.getRowData();
        tree.setRowKey(storedKey);
        		 * 
		 */

    }
	
	public List<SelectableNode> getRootNodes() {
		return rootNodes;
	}

	public void setRootNodes(List<SelectableNode> rootNodes) {
		this.rootNodes = rootNodes;
	}


	public TreeNode getCurrentSelection() {
		return currentSelection;
	}

	public void setCurrentSelection(TreeNode currentSelection) {
		this.currentSelection = currentSelection;
	}

	public be.spacebel.ssa.swe.beans.MetadataBean getMetadataBean() {
		return metadataBean;
	}

	public void setMetadataBean(
			be.spacebel.ssa.swe.beans.MetadataBean metadataBean) {
		this.metadataBean = metadataBean;
	}

	public boolean isRenderable() {
		return renderable;
	}

	public void setRenderable(boolean renderable) {
		this.renderable = renderable;
	}

	
}
