package be.spacebel.ssa.swe.clients;

import org.apache.axiom.om.OMElement;
import org.apache.axis2.AxisFault;
import org.apache.axis2.util.XMLUtils;
import org.w3c.dom.Element;

import swe.ssa.esa.swep.datamodel.userDataAccessService.GetCapabilitiesRequestMessageDocument;
import swe.ssa.esa.swep.datamodel.userDataAccessService.GetCapabilitiesResponseMessageDocument;
import swe.ssa.esa.swep.services.userdataaccessservice.UserDataAccessServiceStub;

public class DataAccessClient {

	private UserDataAccessServiceStub stub;
	
	public DataAccessClient() throws AxisFault {
		this.stub = new UserDataAccessServiceStub(); 
	}
	
	public GetCapabilitiesResponseMessageDocument getCapabilities() throws Exception {
		GetCapabilitiesRequestMessageDocument request = GetCapabilitiesRequestMessageDocument.Factory.newInstance();
		OMElement omRequest = XMLUtils.toOM((Element) request.getDomNode());
		OMElement response = this.stub.getCapabilities(omRequest);
		Element domResponse = XMLUtils.toDOM(response);
		GetCapabilitiesResponseMessageDocument getCapabilitiesResponse = GetCapabilitiesResponseMessageDocument.Factory.parse(domResponse);
		return getCapabilitiesResponse;
	}

}
