package be.spacebel.ssa.swe.data;

import java.util.ArrayList;

import be.spacebel.ssa.swe.util.SWEUtil;

public class OfferingNode extends SelectableNode  {

	
	
	public OfferingNode(OfferingMetadata desc, ArrayList<String> selectedProps) {
		super("offering", desc.getIdentifier());
		this.selected=true;
		for(String  property : desc.getObservablePropertyArray())
		{
			if(selectedProps.size() == 0 || selectedProps.contains(property)) {
				addChild(property, new PropertyNode(property,desc,true));				
			}
			else
			{
			addChild(property, new PropertyNode(property,desc,false));
			}
			
			
		}
			addChild(SWEUtil.UNQUALIFIED_FIELD, new PropertyNode(SWEUtil.UNQUALIFIED_FIELD,desc,false));
	}



	
}
